--- i_sdlsound.c	2024-06-24 03:25:45.638761441 +0000
+++ i_sdlsound.c-new	2024-06-24 03:15:52.917510437 +0000
@@ -486,13 +486,15 @@
             float *rsound;
             uint32_t rlen;
 	    SRC_DATA src_data;
+	    float *data_in;
 
 	    if (!LoadSoundLump(sound_i, &lumpnum, &samplerate, &length, &data))
 		continue;
 
             assert(length <= LONG_MAX);
 	    src_data.input_frames = length;
-	    src_data.data_in = malloc(length * sizeof(float));
+	    data_in = malloc(length * sizeof(float));
+	    src_data.data_in = data_in;
 	    src_data.src_ratio = (double)mixer_freq / samplerate;
 
 	    // mixer_freq / 4 adds a quarter-second safety margin.
@@ -511,7 +513,7 @@
 		// whether a symmetrical range should be assumed.  The
 		// following assumes a symmetrical range.
 
-		src_data.data_in[sample_i] = data[sample_i] / 127.5 - 1;
+		data_in[sample_i] = data[sample_i] / 127.5 - 1;
 	    }
 
             // don't need the original lump any more
@@ -525,7 +527,7 @@
             assert(src_data.output_frames_gen > 0);
             resampled_sound[sound_i] = src_data.data_out;
             resampled_sound_length[sound_i] = src_data.output_frames_gen;
-            free(src_data.data_in);
+            free(data_in);
             good_sound[sound_i] = true;
 
             // Track maximum amplitude for later normalization
